Subject: Re: bug#16974: 24.3.50; [Wishlist] Feature to automatically adjust foreground/background colours when contrast below some threshold

From: Stefan Monnier <[email-masked]>
Date: Sun, 09 Mar 2014 22:52:29 -0400

> Such a feature was proposed (and, IIUC, prototyped) in the discussion of
> the bizarrely named :distant-foreground face attribute on the
> emacs-devel list around the 7th of January (2014). There it met with the
> objection that nothing should ever override any of a user's
> settings. However, if the user wants their settings overridden in certain
> circumcstances, then it seems unreasonable to deny them that.

Agreed.  I think the way to fix this is:
- Add some hook in the C code that "realizes" faces so that Lisp code
  can tweak the result.
- Write a new package which uses this hook to get the above result.

        Stefan